Deployment = require("Deployment")

function tsAutostart ()
	-- General notification, that the deployment system is setup and working
	Deployment.execute()
end

-- Value                  | Description
-- ---------------------- | -----------
-- tsApp.stageStart       | The very beginning of the script; good place to modify reports.
-- tsApp.stageAsked       | A little later, any user questions/confirmations have been done. Modify min/max numbers here.
-- tsApp.stageTop         | Output has been been initialized - you can now write to the top of the report.
-- tsApp.stageStartingRun | A new total run is just starting; param is the number of the run, starting at 1.
-- tsApp.stageError       | An error result has occured in a test.
-- tsApp.stageRunEnded    | A total run has just ended; param is the number of the run, starting at 1.
-- tsApp.stageBottom      | Almost the end of the script, you can still write to the bottom of the report; param is the total number of test errors.
-- tsApp.stageEnd         | The end of the script; all reports are saved and have their final file names; param is the total number of test errors.
function tsRunningHook (stage, param)
	if stage == tsApp.stageStart then
		--tsApp.StatusLine ("Hook! stage="..string.format("0x%02x",stage)..", param="..param, 1)
	end
	if stage == tsApp.stageAsked then
		--tsApp.StatusLine ("Hook! stage="..string.format("0x%02x",stage)..", param="..param, 1)
	end
	if stage == tsApp.stageTop then
		--tsApp.StatusLine ("Hook! stage="..string.format("0x%02x",stage)..", param="..param, 1)
	end
	if stage == tsApp.stageStartingRun then
		--tsApp.StatusLine ("Hook! stage="..string.format("0x%02x",stage)..", param="..param, 1)
	end
	if stage == tsApp.stageError then
		--tsApp.StatusLine ("Hook! stage="..string.format("0x%02x",stage)..", param="..param, 1)
	end
	if stage == tsApp.stageRunEnded then
		--tsApp.StatusLine ("Hook! stage="..string.format("0x%02x",stage)..", param="..param, 1)
	end
	if stage == tsApp.stageBottom then
		--tsApp.StatusLine ("Hook! stage="..string.format("0x%02x",stage)..", param="..param, 1)
	end
	if stage == tsApp.stageEnd then
		--tsApp.StatusLine ("Hook! stage="..string.format("0x%02x",stage)..", param="..param, 1)
	end
end